Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Interface ClauseModelRecognizer

All Known Implementing Classes:
  AddContentQueryModel.Recognizer, AddDiscountModel.Recognizer, AddEmailModel.Recognizer, AddSegmentModel.Recognizer, AddToPlaceholderModel.Recognizer, BranchModel.Recognizer, CartContainsCategoryModel.Recognizer, CartContainsSKUModel.Recognizer, CartTotalModel.Recognizer, DateTimeBetweenModel.Recognizer, DateTimeModel.Recognizer, EndScenarioModel.Recognizer, EventTypeModel.Recognizer, InstanceMethodModel.Recognizer, NewInstanceModel.Recognizer, PropertyToLiteralModel.Recognizer, RuleModel.Recongizer, SegmentModel.Recognizer, StaticMethodModel.Recognizer, VariableBindingModel.Recognizer

    public interface ClauseModelRecognizer

The interface for an object which can recognize rule clause types in xml structures.

An instance of a this needs to be registered with the RuleInfoSvc for a each configured clause type so that it will now what ClauseModel classes to instantiate.

Method Summary
`boolean` | `recognize(org.apache.xmlbeans.XmlObject element, String clauseType)` Check if the specified xml structure is an instance of the specified clause type.

Method Detail

### recognize

    boolean recognize(org.apache.xmlbeans.XmlObject element,
                      String clauseType)

  Check if the specified xml structure is an instance of the specified clause type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.